# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"40078385-F676-4C61-9A9C-F9028599D6D3_is1",
   "name":"NVM for Windows 1.1.12",
   "version":"1.1.12",
   "install_date":"2024-05-24 00:00:00",
   "install_location":"C:\\Users\\Administrator\\AppData\\Roaming\\nvm\\",
   "uninstall_string":"\"C:\\Users\\Administrator\\AppData\\Roaming\\nvm\\unins000.exe\"",
   "publisher":"Ecor Ventures LLC",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    install_exe_if_needed('nvm-setup.exe',
        silentflags='/VERYSILENT   /NOCIONS',
        key='40078385-F676-4C61-9A9C-F9028599D6D3_is1',
        min_version= control.get_software_version(),
    )

    uninstallkey.clear()

def uninstall():
        for uninstall in installed_softwares('nvm'):
            uninstall_string = uninstall.get("uninstall_string", "")
            print(f"Uninstalling nvm: {uninstall_string}")
            run(f"{uninstall_string} /SILENT /SUPPRESSMSGBOXES")    
            wait_uninstallkey_absent(uninstall['key'],max_loop=600)  

def audit():
    if not uninstall_key_exists("40078385-F676-4C61-9A9C-F9028599D6D3_is1"):
        print('uninstallkey nvm  not found')
        return "ERROR"
    else:
        return "OK"
