# -*- coding: utf-8 -*-
from setuphelpers import *
import re


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    api_url = "https://api.github.com/repos/coreybutler/nvm-windows/releases/latest"

     # Get data from API
    releases_dict = wgets(api_url, proxies=proxies, as_json=True)
    zip_found = False  # Flag pour indiquer la découverte d'un fichier .zip
    #target_extension = control.target_os + ".zip"
    for release in releases_dict:
        if zip_found:
            break
        for asset in releases_dict["assets"]:
            if asset["browser_download_url"].endswith("setup.zip"):
                url_download = asset["browser_download_url"]
                latest_bin = url_download.split('/')[-1]
                version = releases_dict["name"].split("v")[-1]
                zip_found = True  # Mettre à jour le flag pour indiquer qu'un .zip a été trouvé
                break

    if Version(control.get_software_version()) < Version(version):

        # Downloading latest binaries
        print("Download URL is: %s" % url_download )
        wget(url_download , latest_bin, proxies=proxies)
  

        setup_file = unzip(latest_bin,("."))
        extracted_file_path = setup_file[0] 
        remove_file(latest_bin)
           
        if extracted_file_path != latest_bin:
            for f in glob.glob("*.exe"):
                if Version(get_version_from_binary(f)) < Version(version):
                    remove_file(f)

        version = get_version_from_binary(extracted_file_path )            
        # Updating the package
        control.set_software_version(version)
        control.save_control_to_wapt()

    return package_updated